Skip to main content

CreateAssetIssue

POST

Issues a TRC-10 token. An account can only issue a TRC-10 token once.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Token issuer's address. (Format: Base58 or Hex)
namestring
Token name (Default: Hex). Example: 0x6173736574497373756531353330383934333132313538
abbrstring
Token's abbreviation or symbol. Example: 0x6162627231353330383934333132313538
total_supplyinteger
Total supply of the TRC-10 token.
trx_numinteger
Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)
numinteger
Defines the price ratio as trx_num / num. (Unit of 'trx_num': sun)
start_timeinteger
ICO start time. (Unit: millisecond)
end_timeinteger
ICO End time. (Unit: millisecond)
descriptionstring
Description of the TRC-10 token (Default: Hex). Example: 0x4578616d706c654465736372697074696f6e
urlstring
URL of the official website (Default: Hex). Example: 0x7777772e6578616d706c652e636f6d
free_asset_net_limitinteger
Free Bandwidth limit for TRC-10 token transfers.
public_free_asset_net_limitinteger
Total public free Bandwidth limit for a TRC-10 token.
frozen_supplystring
List of frozen supply objects for the TRC-10 token. Example: {"frozen_amount":1,"frozen_days":2}
precisioninteger
Token precision (number of decimal places).
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
Responses
owner_addressstring
Token issuer's address.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/createassetissue' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"name": "0x6173736574497373756531353330383934333132313538",
"abbr": "0x6162627231353330383934333132313538",
"description": "0x4578616d706c654465736372697074696f6e",
"url": "0x7777772e6578616d706c652e636f6d",
"frozen_supply": "{\"frozen_amount\":1,\"frozen_days\":2}"
}'